PUT
/data_syncer/connection/{Connection_Id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/connection/{Connection_Id}/?project_id=<PROJECT_ID>&location=<LOCATION>&action=<ACTION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "syncer-connection-02201557", "sync_mode": "incremental_append", "schedule": { "schedule_type": "manual" }}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/connection/{Connection_Id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "action": "<ACTION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "syncer-connection-02201557", "sync_mode": "incremental_append", "schedule": { "schedule_type": "manual", }, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/connection/{Connection_Id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", action: "<ACTION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "syncer-connection-02201557", "sync_mode": "incremental_append", "schedule": { "schedule_type": "manual" } }),});console.log(await response.json());Kindly choose request example update for action type update and enable_disable for action type enable and disable.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Connection_Id
required
integer
Connection Id
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
action
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
Example
syncer-connection-02201557sync_mode
string
Example
incremental_appendschedule
object
schedule_type
string
Example
manualResponses
Section titled “Responses”Sync connection details retrieved successfully
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
schedule_type
string
frequency
string
status
string
sync_mode
string
last_sync
string format: date-time
latest_sync_status
string
next_sync
string
created_at
string format: date-time
updated_at
string format: date-time
source
object
id
integer
name
string
status
string
source_type
string
created_at
string format: date-time
configuration
object
prefix
string
access_key
string
bucket_name
string
endpoint_url
string
destination
object
id
integer
name
string
destination_type
string
status
string
dataset
object
id
integer
name
string
project_id
integer
storage_type
string
bucket
object
id
integer
bucket_name
string
bucket_url
string
endpoint
string
created_by
object
id
integer
name
string
email
string
username
string
errors
object
message
string
Example
{ "code": 200, "data": { "id": 171, "name": "syncer-connection-022015573333", "schedule_type": "basic", "frequency": "6", "status": "inactive", "sync_mode": "incremental_append", "last_sync": "2025-02-20T10:46:05Z", "latest_sync_status": "succeeded", "next_sync": "", "created_at": "2025-02-20T10:40:01.225117Z", "updated_at": "2025-02-20T11:24:42.752261Z", "source": { "id": 222, "name": "syncer-source-021917393333", "status": "active", "source_type": "minio", "created_at": "2025-02-20T10:26:21.507678Z", "configuration": { "prefix": "/", "access_key": "OYG8DNWGXK6TOQ2GX1PM", "bucket_name": "test-r1", "endpoint_url": "objectstore.e2enetworks.net" } }, "destination": { "id": 147, "name": "syncer-destination-02201439044", "destination_type": "tir_dataset", "status": "active", "dataset": { "id": 1637, "name": "finetuning-dataset-022013562626", "project_id": 4601, "storage_type": "managed", "bucket": { "id": 3162, "bucket_name": "d-gpu-bd21fad1-abcb-45fd-bc11-46142b7c7928", "bucket_url": "s3://d-gpu-bd21fad1-abcb-45fd-bc11-46142b7c7928/", "endpoint": "https://objectstore.e2enetworks.net" } } }, "created_by": { "id": 4945, "name": "Rahul Tanwar", "email": "rahul.tanwar@e2enetworks.com", "username": "rahul.tanwar@e2enetworks.com" } }, "errors": {}, "message": "Success"}